## osk-sdl 0.62.1

=== Makefile ===
TARGET     := osk-sdl
VERSION	   := 0.62.1

SDL2_CFLAGS := $(shell sdl2-config --cflags)
SDL2_LIBS  := $(shell sdl2-config --libs)

CXX        ?= g++
CXXFLAGS   := -std=c++14 -Wall -g $(CXXFLAGS) $(SDL2_CFLAGS)

LIBS       := -lcryptsetup $(SDL2_LIBS) -lSDL2_ttf

DOCB	   := scdoc

SRC_DIR    := src
BIN_DIR    := bin
OBJ_DIR    := obj
DOC_DIR	   := doc

SOURCES    := ${wildcard $(SRC_DIR)/*.cpp}
OBJECTS    := $(SOURCES:$(SRC_DIR)/%.cpp=$(OBJ_DIR)/%.o)

ifeq ("$(V)", "1")
	Q :=
	E := @true
else
	Q := @
	E := @echo
endif

all: directories $(BIN_DIR)/$(TARGET) $(DOC_DIR)/osk-sdl.1

$(OBJ_DIR)/%.o: $(SRC_DIR)/%.cpp
	$(E) CC $<
	$(Q)$(CXX) -c -o $@ $< $(CXXFLAGS) $(CPPFLAGS)

$(BIN_DIR)/$(TARGET): $(OBJECTS)
	$(E) LD $<
	$(Q)$(CXX) -o $@ $^ $(CXXFLAGS) $(CPPFLAGS) $(LDFLAGS) $(LIBS)

$(DOC_DIR)/osk-sdl.1:
	$(Q)sed -i "s:@@VERSION@@:$(VERSION):" $@.scd
	$(E) SCDOC $<.scd
	$(Q)$(DOCB) < $@.scd > $@
	$(Q)sed -i "s:$(VERSION):@@VERSION@@:" $@.scd

.PHONY: clean

.PHONY: directories

clean:
	-rm -rfv $(OBJ_DIR) $(BIN_DIR)
	-rm -rfv $(DOC_DIR)/osk-sdl.1

directories:
	@mkdir -p ./obj
	@mkdir -p ./bin

=== debian/changelog ===
osk-sdl (0.62.1-2) unstable; urgency=medium

  [ Jarrah Gosbell ]
  * Backport tooltip from 0.64 (unreleased)

 -- Jarrah Gosbell <debian@undef.tools>  Tue, 16 Mar 2021 08:14:26 +0000

osk-sdl (0.62.1-1) unstable; urgency=medium

  [ undef ]
  * New upstream release
  * Remove fix-keyscript patch, fixed in upstream
  * Backport key height fix from 0.63

  [ Guido Günther ]
  * d/initramfs Remove /dev/stderr and ETNA_MESA_DEBUG
  * d/initramfs Explicitly copy keyscript to initramfs

 -- Jarrah Gosbell <debian@undef.tools>  Fri, 22 Jan 2021 21:32:26 +0000

osk-sdl (0.62-1) unstable; urgency=medium

  [ undef ]
  * Initial release (Closes: #972364)
  * Remove grep output in initramfs hook
  * Reduce size of initramfs

  [ Clayton Craft ]
  * Add patch to use ttf font location on Debian
  * Add initramfs boot scripts and install hook

 -- Jarrah Gosbell <debian@undef.tools>  Tue, 12 Jan 2021 14:22:46 +0000

=== debian/control ===
Source: osk-sdl
Section: utils
Priority: optional
Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Jarrah Gosbell <debian@undef.tools>
Build-Depends: debhelper-compat (= 13), libsdl2-dev, libsdl2-ttf-dev, libcryptsetup-dev, scdoc
Standards-Version: 4.5.1
Homepage: https://gitlab.com/postmarketOS/osk-sdl
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/osk-sdl
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/osk-sdl.git
Rules-Requires-Root: no

Package: osk-sdl
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, fonts-dejavu-core, cryptsetup, cryptsetup-initramfs, libgles2
Description: Lightweight On-Screen-Keyboard based on SDL2
 This keyboard is designed to unlock encrypted root partitions on boot
 on mobile devices. It is automatically launched on boot, allowing the
 user to enter their disk encryption password.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
	export V=1
else
	export V=0
endif

%:
	dh $@

## osk-sdl 0.66

=== debian/changelog ===
osk-sdl (0.66-4) unstable; urgency=medium

  * d/initramfs: add goodix_ts for Linux 5.16+

 -- Jarrah Gosbell <debian@undef.tools>  Mon, 31 Jan 2022 09:07:56 +0000

osk-sdl (0.66-3) unstable; urgency=medium

  * d/patches,tests: fix autopkgtests
  * d/initramfs: disable verbose mode

 -- Jarrah Gosbell <debian@undef.tools>  Thu, 27 Jan 2022 13:34:47 +0000

osk-sdl (0.66-2) unstable; urgency=medium

  [ undef ]
  *  hook: Add evdev kernel module

  [ Guido Günther ]
  * hook: Robustify font copy
  * hook: Tighten match on font

 -- Jarrah Gosbell <debian@undef.tools>  Thu, 09 Sep 2021 16:22:15 +0000

osk-sdl (0.66-1) unstable; urgency=medium

  [ undef ]
  * New upstream release
  * Remove fix-keyscript patch, fixed in upstream
  * Adjust package to new upstream build system

  [ Guido Günther ]
  * d/initramfs Remove /dev/stderr and ETNA_MESA_DEBUG
  * d/initramfs Explicitly copy keyscript to initramfs
  * d/initramfs Add L5 touch controller and vibra-pwm


  [ Henry-Nicolas Tourneur ]
  * 

 -- Jarrah Gosbell <debian@undef.tools>  Tue, 17 Aug 2021 13:00:47 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,15 @@
 Priority: optional
 Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders: Jarrah Gosbell <debian@undef.tools>
-Build-Depends: debhelper-compat (= 13), libsdl2-dev, libsdl2-ttf-dev, libcryptsetup-dev, scdoc
+Build-Depends: debhelper-compat (= 13),
+    libsdl2-dev,
+    libsdl2-ttf-dev,
+    libcryptsetup-dev,
+    scdoc,
+    meson,
+    fonts-dejavu-core,
+    cryptsetup,
+    libgles2
 Standards-Version: 4.5.1
 Homepage: https://gitlab.com/postmarketOS/osk-sdl
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/osk-sdl

=== debian/rules ===
--- 
+++ 
@@ -11,3 +11,6 @@
 
 %:
 	dh $@
+
+override_dh_auto_test:
+

=== debian/tests/control ===
Tests: test-functional
Restrictions: 
    build-needed,
    allow-stderr,
Depends: 
    @,
    xvfb,
    xauth,
    xdotool,

Tests: test-machine-functional
Restrictions: 
    build-needed,
    needs-root,
    isolation-machine,
    allow-stderr,
    flaky,
Depends: 
    @,
    xvfb,
    xauth,
    xdotool,
    qemu-utils,
    sudo,

## osk-sdl 0.67

=== debian/changelog ===
osk-sdl (0.67-2) unstable; urgency=medium

  [ Jarrah Gosbell ]
  * d/initramfs: fix verbose/physical keyboard output to tty (Closes: #1016146)
  * d/patches: fix ftbfs with g++12 (Closes: #1016249)
  * d/postrm: add warning on package removal (Closes: #1014393)
  * d/initramfs: add iris_dri to amd64 initramfs (Closes: #1016534)
  * d/config: add debconf script
  * d/postinst: load debconf confmodule

 -- Arnaud Ferraris <aferraris@debian.org>  Thu, 11 Aug 2022 11:32:39 +0200

osk-sdl (0.67-1) unstable; urgency=medium

  [ Jarrah Gosbell ]
  * New Upstream Release
  * d/control: bump standards version to 4.6.0
  * hook: Add PinePhone Pro config
  * d/control: add depends on lib{,e}gl1
  * d/patches: refresh for version 0.67 (Closes: #1006642)
  * d/initramfs: fix showing plymouth after osk-sdl
  * d/control: bump standards version
  * d/copyright: bump year
  * d/tests: add dependency for `import` tool

  [ Arnaud Ferraris ]
  * d/control: add myself to Uploaders

 -- Arnaud Ferraris <aferraris@debian.org>  Wed, 29 Jun 2022 13:09:41 +0200

## osk-sdl 0.67.1

=== debian/changelog ===
osk-sdl (0.67.1-2) unstable; urgency=medium

  [  Paulo Henrique de Lima Santana ]
  *  Brazilian Portuguese debconf templates translation (Closes: #1025209)

  [ Américo Monteiro ]
  *  Portuguese debconf templates translation (Closes: #1028239)

 -- Jarrah Gosbell <debian@undef.tools>  Sun, 12 Feb 2023 05:11:58 +0000

osk-sdl (0.67.1-1) unstable; urgency=medium

  [ undef ]
  * d/templates: add translations for de, es, fr and nl (Closes: #1017947,
    #1019482, #1020383, #1021447)
  * d/initramfs: stop hang on `cat` on some devices (Closes: #1017842, #1023036)
  * d/patches: delete upstreamed patch for build error 

  [ Balint Kovacs ]
  * d/initramfs: Include every possible DRI driver (Closes: #1018209)
  * d/initramfs: Include kernel modules necessary on amd64 tablets (Closes: #1018242)

 -- Jarrah Gosbell <debian@undef.tools>  Wed, 26 Oct 2022 09:36:49 +0000

=== debian/tests/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
     xvfb,
     xauth,
     xdotool,
+    graphicsmagick-imagemagick-compat,
 
 Tests: test-machine-functional
 Restrictions: 
@@ -22,3 +23,4 @@
     xdotool,
     qemu-utils,
     sudo,
+    graphicsmagick-imagemagick-compat,

=== debian/watch ===
version=4
https://gitlab.com/postmarketOS/osk-sdl/tags?sort=updated_desc .*/archive/(\d\S+)/.*\.tar.gz
